Add payment attributes - Fabric
Add payment attributes
cURL
curl --request POST \
--url https://api.fabric.inc/v3/carts/{cartId}/payments/{id}/actions/add-attributes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
--data '
{
"attributes": {
"test": "test"
}
}
'
Python
import requests
url = "https://api.fabric.inc/v3/carts/{cartId}/payments/{id}/actions/add-attributes"
payload = { "attributes": { "test": "test" } }
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'POST',
headers: {
'x-fabric-tenant-id': '<x-fabric-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({attributes: {test: 'test'}})
};
fetch('https://api.fabric.inc/v3/carts/{cartId}/payments/{id}/actions/add-attributes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [\
CURLOPT_URL => "https://api.fabric.inc/v3/carts/{cartId}/payments/{id}/actions/add-attributes",\
CURLOPT_RETURNTRANSFER => true,\
CURLOPT_ENCODING => "",\
CURLOPT_MAXREDIRS => 10,\
CURLOPT_TIMEOUT => 30,\
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
CURLOPT_CUSTOMREQUEST => "POST",\
CURLOPT_POSTFIELDS => json_encode([\
'attributes' => [\
'test' => 'test'\
]\
]),\
CURLOPT_HTTPHEADER => [\
"Authorization: Bearer <token>",\
"Content-Type: application/json",\
"x-fabric-tenant-id: <x-fabric-tenant-id>"\
],\
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fabric.inc/v3/carts/{cartId}/payments/{id}/actions/add-attributes"
payload := strings.NewReader("{\n \"attributes\": {\n \"test\": \"test\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-fabric-tenant-id", "<x-fabric-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Unirest
HttpResponse<String> response = Unirest.post("https://api.fabric.inc/v3/carts/{cartId}/payments/{id}/actions/add-attributes")
.header("x-fabric-tenant-id", "<x-fabric-tenant-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"attributes\": {\n \"test\": \"test\"\n }\n}")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://api.fabric.inc/v3/carts/{cartId}/payments/{id}/actions/add-attributes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-fabric-tenant-id"] = '<x-fabric-tenant-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"attributes\": {\n \"test\": \"test\"\n }\n}"
response = http.request(request)
puts response.read_body
Responses
200 OK
{
"id": "6ef2067a-5d6b-4785-a090-96ea0078220d",
"provider": "verifone",
"processor": "stripe",
"method": "apple pay",
"methodType": "credit card",
"state": "PENDING",
"authorization": {
"amount": 8,
"expiry": "2024-06-13T16:50:00.682Z",
"verifier": {
"type": "TOKEN",
"key": "CH39082K439R0"
}
},
"billToAddress": "a8577d7f-0d4d-4b22-8e85-7b4a2e90dc93",
"cardDetails": {},
"attributes": {
"gift-card-name": "custom name"
}
}
400 Bad Request
{
"type": "BAD_REQUEST",
"message": "x-fabric-tenant-id is required"
}
404 Not Found
{
"type": "CART_NOT_FOUND",
"message": "Cart not found"
}
Authorizations
- Authorization (string, required) - The authorization token used to authenticate the request.
- x-fabric-tenant-id (string, required) - Header used to identify the tenant making the request.
Path Parameters
- cartId (string, required) - The system-generated Cart ID.
- id (string, required) - The Payment ID generated when a payment was created.